
#ifndef LIRIDAEMON_EXPORT_H
#define LIRIDAEMON_EXPORT_H

#ifdef LIRIDAEMON_STATIC_DEFINE
#  define LIRIDAEMON_EXPORT
#  define LIRIDAEMON_NO_EXPORT
#else
#  ifndef LIRIDAEMON_EXPORT
#    ifdef LIRI_BUILD_DAEMON_LIB
        /* We are building this library */
#      define LIRIDAEMON_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define LIRIDAEMON_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef LIRIDAEMON_NO_EXPORT
#    define LIRIDAEMON_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef LIRIDAEMON_DECL_DEPRECATED
#  define LIRIDAEMON_DECL_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef LIRIDAEMON_DECL_DEPRECATED_EXPORT
#  define LIRIDAEMON_DECL_DEPRECATED_EXPORT LIRIDAEMON_EXPORT LIRIDAEMON_DECL_DEPRECATED
#endif

#ifndef LIRIDAEMON_DECL_DEPRECATED_NO_EXPORT
#  define LIRIDAEMON_DECL_DEPRECATED_NO_EXPORT LIRIDAEMON_NO_EXPORT LIRIDAEMON_DECL_DEPRECATED
#endif

/* NOLINTNEXTLINE(readability-avoid-unconditional-preprocessor-if) */
#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef LIRIDAEMON_NO_DEPRECATED
#    define LIRIDAEMON_NO_DEPRECATED
#  endif
#endif

#define LIRIDAEMON_DECL_DEPRECATED_TEXT(text) __attribute__ ((__deprecated__(text)))

#if defined(LIRIDAEMON_NO_DEPRECATED)
#  undef LIRIDAEMON_DEPRECATED
#  define LIRIDAEMON_DEPRECATED_EXPORT LIRIDAEMON_EXPORT
#  define LIRIDAEMON_DEPRECATED_NO_EXPORT LIRIDAEMON_NO_EXPORT
#elif defined(LIRIDAEMON_NO_DEPRECATED_WARNINGS)
#  define LIRIDAEMON_DEPRECATED
#  define LIRIDAEMON_DEPRECATED_EXPORT LIRIDAEMON_EXPORT
#  define LIRIDAEMON_DEPRECATED_NO_EXPORT LIRIDAEMON_NO_EXPORT
#else
#  define LIRIDAEMON_DEPRECATED LIRIDAEMON_DECL_DEPRECATED
#  define LIRIDAEMON_DEPRECATED_EXPORT LIRIDAEMON_DECL_DEPRECATED_EXPORT
#  define LIRIDAEMON_DEPRECATED_NO_EXPORT LIRIDAEMON_DECL_DEPRECATED_NO_EXPORT
#endif

/* No deprecated API had been removed from build */
#define LIRIDAEMON_EXCLUDE_DEPRECATED_BEFORE_AND_AT 0

#define LIRIDAEMON_BUILD_DEPRECATED_SINCE(major, minor) 1

#ifdef LIRIDAEMON_NO_DEPRECATED
#  define LIRIDAEMON_DISABLE_DEPRECATED_BEFORE_AND_AT 0x100
#endif
#ifdef LIRIDAEMON_NO_DEPRECATED_WARNINGS
#  define LIRIDAEMON_DEPRECATED_WARNINGS_SINCE 0
#endif

#ifndef LIRIDAEMON_DEPRECATED_WARNINGS_SINCE
#  ifdef LIRIDAEMON_DISABLE_DEPRECATED_BEFORE_AND_AT
#    define LIRIDAEMON_DEPRECATED_WARNINGS_SINCE LIRIDAEMON_DISABLE_DEPRECATED_BEFORE_AND_AT
#  else
#    define LIRIDAEMON_DEPRECATED_WARNINGS_SINCE 0x100
#  endif
#endif

#ifndef LIRIDAEMON_DISABLE_DEPRECATED_BEFORE_AND_AT
#  define LIRIDAEMON_DISABLE_DEPRECATED_BEFORE_AND_AT 0x0
#endif

#ifdef LIRIDAEMON_DEPRECATED
#  define LIRIDAEMON_ENABLE_DEPRECATED_SINCE(major, minor) (((major<<16)|(minor<<8)) > LIRIDAEMON_DISABLE_DEPRECATED_BEFORE_AND_AT)
#else
#  define LIRIDAEMON_ENABLE_DEPRECATED_SINCE(major, minor) 0
#endif

#endif /* LIRIDAEMON_EXPORT_H */
