
#ifndef LIRISESSION_EXPORT_H
#define LIRISESSION_EXPORT_H

#ifdef LIRISESSION_STATIC_DEFINE
#  define LIRISESSION_EXPORT
#  define LIRISESSION_NO_EXPORT
#else
#  ifndef LIRISESSION_EXPORT
#    ifdef LIRI_BUILD_SESSION_LIB
        /* We are building this library */
#      define LIRISESSION_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define LIRISESSION_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef LIRISESSION_NO_EXPORT
#    define LIRISESSION_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef LIRISESSION_DECL_DEPRECATED
#  define LIRISESSION_DECL_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef LIRISESSION_DECL_DEPRECATED_EXPORT
#  define LIRISESSION_DECL_DEPRECATED_EXPORT LIRISESSION_EXPORT LIRISESSION_DECL_DEPRECATED
#endif

#ifndef LIRISESSION_DECL_DEPRECATED_NO_EXPORT
#  define LIRISESSION_DECL_DEPRECATED_NO_EXPORT LIRISESSION_NO_EXPORT LIRISESSION_DECL_DEPRECATED
#endif

/* NOLINTNEXTLINE(readability-avoid-unconditional-preprocessor-if) */
#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef LIRISESSION_NO_DEPRECATED
#    define LIRISESSION_NO_DEPRECATED
#  endif
#endif

#define LIRISESSION_DECL_DEPRECATED_TEXT(text) __attribute__ ((__deprecated__(text)))

#if defined(LIRISESSION_NO_DEPRECATED)
#  undef LIRISESSION_DEPRECATED
#  define LIRISESSION_DEPRECATED_EXPORT LIRISESSION_EXPORT
#  define LIRISESSION_DEPRECATED_NO_EXPORT LIRISESSION_NO_EXPORT
#elif defined(LIRISESSION_NO_DEPRECATED_WARNINGS)
#  define LIRISESSION_DEPRECATED
#  define LIRISESSION_DEPRECATED_EXPORT LIRISESSION_EXPORT
#  define LIRISESSION_DEPRECATED_NO_EXPORT LIRISESSION_NO_EXPORT
#else
#  define LIRISESSION_DEPRECATED LIRISESSION_DECL_DEPRECATED
#  define LIRISESSION_DEPRECATED_EXPORT LIRISESSION_DECL_DEPRECATED_EXPORT
#  define LIRISESSION_DEPRECATED_NO_EXPORT LIRISESSION_DECL_DEPRECATED_NO_EXPORT
#endif

/* No deprecated API had been removed from build */
#define LIRISESSION_EXCLUDE_DEPRECATED_BEFORE_AND_AT 0

#define LIRISESSION_BUILD_DEPRECATED_SINCE(major, minor) 1

#ifdef LIRISESSION_NO_DEPRECATED
#  define LIRISESSION_DISABLE_DEPRECATED_BEFORE_AND_AT 0x100
#endif
#ifdef LIRISESSION_NO_DEPRECATED_WARNINGS
#  define LIRISESSION_DEPRECATED_WARNINGS_SINCE 0
#endif

#ifndef LIRISESSION_DEPRECATED_WARNINGS_SINCE
#  ifdef LIRISESSION_DISABLE_DEPRECATED_BEFORE_AND_AT
#    define LIRISESSION_DEPRECATED_WARNINGS_SINCE LIRISESSION_DISABLE_DEPRECATED_BEFORE_AND_AT
#  else
#    define LIRISESSION_DEPRECATED_WARNINGS_SINCE 0x100
#  endif
#endif

#ifndef LIRISESSION_DISABLE_DEPRECATED_BEFORE_AND_AT
#  define LIRISESSION_DISABLE_DEPRECATED_BEFORE_AND_AT 0x0
#endif

#ifdef LIRISESSION_DEPRECATED
#  define LIRISESSION_ENABLE_DEPRECATED_SINCE(major, minor) (((major<<16)|(minor<<8)) > LIRISESSION_DISABLE_DEPRECATED_BEFORE_AND_AT)
#else
#  define LIRISESSION_ENABLE_DEPRECATED_SINCE(major, minor) 0
#endif

#endif /* LIRISESSION_EXPORT_H */
